RubyGems Navigation menu

database_validations 0.6.0

ActiveRecord provides validations on app level but it won't guarantee the consistent. In some cases, like `validates_uniqueness_of` it executes additional SQL query to the database and that is not very efficient. The main goal of the gem is to provide compatibility between database constraints and ActiveRecord validations with better performance and consistency.

Versions:

  1. 0.8.2 - January 10, 2019 (10.5 KB)
  2. 0.8.1 - January 09, 2019 (10.5 KB)
  3. 0.8.0 - November 30, 2018 (10 KB)
  4. 0.7.3 - October 18, 2018 (13 KB)
  5. 0.7.2 - October 17, 2018 (12.5 KB)
  6. 0.6.0 - September 26, 2018 (12 KB)
Show all versions (20 total)

Runtime Dependencies (1):

Authors:

  • Evgeniy Demin

Owners:

SHA 256 checksum:

67b0b3e2d9621496f8d62441f87054cb34cd671c914b0d0c5166d0437037a1d1

Total downloads 39,175

For this version 230

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 0

Links: